StarGraphicStruct::StarPolygon::Point Struct Reference

a structure to keep a point and a flag More...

`#include <StarGraphicStruct.hxx>`

## Public Member Functions

| Point (STOFFVec2i point=STOFFVec2i(), int flag=0)
| constructor

## Public Attributes

STOFFVec2i | m_point
| the point
int | m_flags
| the flags

## Friends

std::ostream & | operator<< (std::ostream &o, Point const &point)
| operator<<

## Detailed Description

a structure to keep a point and a flag

## Constructor & Destructor Documentation

## Point()

StarGraphicStruct::StarPolygon::Point::Point | ( | STOFFVec2i | point = STOFFVec2i(),
|  | int | flag = 0 )

inline explicit

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Point const & | point )

friend

operator<<

## Member Data Documentation

## m_flags

int StarGraphicStruct::StarPolygon::Point::m_flags

the flags

Referenced by operator<<, and Point().

## m_point

STOFFVec2i StarGraphicStruct::StarPolygon::Point::m_point

the point

Referenced by operator<<, and Point().

The documentation for this struct was generated from the following file:

- StarGraphicStruct.hxx